Package org.eclipse.team.ui.mapping

# Interface ITeamStateChangeListener

All Superinterfaces:
  `EventListener`

public interface ITeamStateChangeListener extends EventListener
A listener registered with an `TeamStateProvider` in order to receive change events when the team state of any resources change. It is the responsibility of clients to determine if a label update is required based on the changed resources.

Change events may not be issued if a local change has resulted in a synchronization state change. It is up to clients to check whether a label update is required for a model element when local resources change by using the resource delta mechanism.

Clients may implement this interface

Since:
  3.2
See Also:
  - `IWorkspace.addResourceChangeListener(org.eclipse.core.resources.IResourceChangeListener)`

## Method Summary

Modifier and Type
Method
Description
`void`
`teamStateChanged(ITeamStateChangeEvent event)`
Notification that the team state of resources has changed.

## Method Details

### teamStateChanged

void teamStateChanged(ITeamStateChangeEvent event)
Notification that the team state of resources has changed.

Parameters:
  `event` - the event that describes which resources have changed